<TeXmacs|1.0.1.20>

<style|tmdoc>

<\body>
  <expand|tmdoc-title|Introduction on how to contribute>

  High quality documentation is both a matter of content and structure. The
  content itself has to be as pedagogic as possible for the targeted group of
  readers. In order to achieve this, you should not hesitate to provide
  enough examples and illustrative screen shots whenever adequate. Although
  the documentation is not necessarily meant to be complete, we do aim at
  providing relatively stable documentation. In particular, you should have
  checked your text against spelling errors. The more experimental
  documentation should be put in the <verbatim|incoming> directory or on the
  <apply|hyper-link|<TeXmacs> Wiki|http://alqua.com/tmresources>.

  It is also important that you give your documentation as much structure as
  possible, using special markup from the <tmstyle|tmdoc> style file. This
  structure can be used in order to automatically compile printable books
  from your documentation, to make it suitable for different ways of viewing,
  or to make it possible to efficiently search a certain type of information
  in the documentation. In particular, you should always provide
  <apply|hyper-link|copyright and license|copyright.en.tm><inactive|>
  information, as well as indications on how to
  <apply|hyper-link|traverse|traversal.en.tm> your documentation, if it
  contains <apply|hyper-link|many files|file-names.en.tm>.

  <\warning>
    Don't forget to select <apply|menu|Document|Language|Your language> for
    each translated file. This will cause some content to be translated
    automatically, like the menus or some names of keys. Also, we recommend
    to run the <TeXmacs> spell checker on each translated document; this also
    requires the prior selection of the right document language.
  </warning>

  <apply|tmdoc-copyright|1998--2002|Joris van der Hoeven>

  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
  modify this document under the terms of the GNU Free Documentation License,
  Version 1.1 or any later version published by the Free Software Foundation;
  with no Invariant Sections, with no Front-Cover Texts, and with no
  Back-Cover Texts. A copy of the license is included in the section entitled
  "GNU Free Documentation License".>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|shrinking factor|4>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|english>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|idx-1|<tuple|<uninit>|?>>
    <associate|idx-2|<tuple|1|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|idx>
      <tuple|<tuple|<with|font family|<quote|tt>|color|<quote|brown>|tmdoc>>|<pageref|idx-1>>
    </associate>
  </collection>
</auxiliary>
