<TeXmacs|1.0.0.17>

<style|tmdoc>

<\body>
  <expand|tmdoc-title|Why freedom is important for scientists>

  One major objective of <TeXmacs> is to promote the development of free
  software for and by scientists, by significantly reducing the cost of
  producing high quality user interfaces. If you plan to write an interface
  between <apply|TeXmacs> and other software, then please contact us.

  As a mathematician, I am deeply convinced that only free programs are
  acceptable from a scientific point of view. I see two main reasons for
  this:

  <\itemize>
    <item>A result computed by a ``mathematical'' system, whose source code
    is not public, can not be accepted as part of a mathematical proof.

    <item>Just as a mathematician should be able to build theorems on top of
    other theorems, it should be possible to freely modify and release
    algorithms of mathematical software.
  </itemize>

  However, it is strange, and a shame, that the main mathematical programs
  which are currently being used are proprietary. The main reason for this is
  that mathematicians often do not consider programming as a full scientific
  activity. Consequently, the development of useful software is delegated to
  ``engineers'' and the resulting programs are used as black boxes.

  This subdivision of scientific activity is very artificial: it is often
  very important from a scientific point of view to know what there is in the
  black box. Inversely, deep scientific understanding usually leads to the
  production of better software. Consequently, I think that scientists should
  advocate the development of software as a full scientific activity,
  comparable to writing articles. Then it is clear too that such software
  should be diffused in a way which is compatible with the requirements of
  science: public availability, reproducibility and free usability.

  <apply|tmdoc-copyright|1998--2002|Joris van der Hoeven>

  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
  modify this document under the terms of the GNU Free Documentation License,
  Version 1.1 or any later version published by the Free Software Foundation;
  with no Invariant Sections, with no Front-Cover Texts, and with no
  Back-Cover Texts. A copy of the license is included in the section entitled
  "GNU Free Documentation License".>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|shrinking factor|4>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|english>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|idx-1|<tuple|<uninit>|?>>
    <associate|toc-1|<tuple|<uninit>|?>>
    <associate|toc-2|<tuple|<uninit>|?>>
    <associate|idx-2|<tuple|<uninit>|?>>
  </collection>
</references>
