<TeXmacs|1.0.2.2>

<style|tmdoc>

<\body>
  <expand|tmdoc-title|Welcome to GNU <TeXmacs>>

  <section|How to get started>

  If you are new to <TeXmacs>, then you might first want to get some
  information on how to read the documentation. Click
  <apply|hyper-link|here|../../main/start/man-conventions.en.tm> with your
  mouse in order to learn more about the conventions which are used
  throughout the documentation. You may search for words in the documentation
  by pressing <no_line_break><key|F1>. Another important thing you might want
  to do is to <apply|hyper-link|configure|../../main/config/man-configuration.en.tm>
  <TeXmacs> so that it will suit your needs best.

  <section|Information for general users>

  <\itemize>
    <item>In the <apply|hyper-link|<apply|menu|Help|Manual>|../../main/man-manual.en.tm>
    menu, you find the main documentation about how to use <TeXmacs>. The
    manual is quite complete, but not very detailed.

    <item>In the <apply|hyper-link|<apply|menu|Help|Tutorial>|../../tutorial/tut-tutorial.en.tm>
    menu, we have started a <TeXmacs> tutorial. The tutorial is mainly
    intended for beginners, but the later chapters should also be useful for
    more experienced users. Unfortunately, the tutorial is not very complete
    yet.

    <item>In the <apply|hyper-link|<apply|menu|Help|Style>|../../devel/style/style.en.tm>
    menu, the different <apply|TeXmacs> document styles are documented. It is
    also explained how to create your own styles and preambles.

    <item>The <apply|hyper-link|<apply|menu|Help|About>|../../about/about.en.tm>
    menu contains more information about <TeXmacs>, like information about
    its <apply|hyper-link|authors|../../about/authors/authors.en.tm>, how to
    <apply|hyper-link|contact us|../../about/authors/contact.en.tm>, and
    <apply|hyper-link|changes|../../about/changes/changes.en.tm> in different
    versions of the program.

    <item>It is always possible to get updated documentation from the web
    using <apply|menu|Help|Online help>. Documentation in the form of full
    books is also available in <apply|menu|Help|full manuals>. In fact, you
    may compile such books yourself from any help page using
    <apply|menu|Help|full manuals|Compile book>. This may take a few seconds
    though.
  </itemize>

  <section|Contribute to <TeXmacs>>

  One great thing about free software is that you may adapt the software to
  fit your own needs and share your experiences with others. In fact, this
  turns out to be far easier than most people think. Therefore you might wish
  to learn more about how to <apply|hyper-link|contribute|../../about/contribute/contribute.en.tm>
  to the <TeXmacs> project. You can also make a
  <apply|hyper-link|donation|../../about/contribute/material/donations.en.tm>
  to us.

  If you want to contribute to <TeXmacs>, or if you want to adapt the program
  for some particular purpose, then you will find more useful information in
  the <apply|menu|Help> menu. The <apply|hyper-link|<apply|menu|Help|Document
  format>|../../devel/format/format.en.tm> submenu contains information about
  the <TeXmacs> document format and in <apply|hyper-link|<apply|menu|Help|Interfacing>|../../devel/plugin/plugin.en.tm>
  it is explained how to interface <TeXmacs> with other systems. A part of
  the source code has also been documented in
  <apply|hyper-link|<apply|menu|Help|Source
  code>|../../devel/source/source.en.tm>.

  <apply|tmdoc-copyright|1998--2002|Joris van der Hoeven>

  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
  modify this document under the terms of the GNU Free Documentation License,
  Version 1.1 or any later version published by the Free Software Foundation;
  with no Invariant Sections, with no Front-Cover Texts, and with no
  Back-Cover Texts. A copy of the license is included in the section entitled
  "GNU Free Documentation License".>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|shrinking factor|4>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|english>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|idx-10|<tuple|3|?>>
    <associate|idx-11|<tuple|3|?>>
    <associate|idx-1|<tuple|2|?>>
    <associate|toc-1|<tuple|1|?>>
    <associate|idx-2|<tuple|2|?>>
    <associate|toc-2|<tuple|2|?>>
    <associate|toc-3|<tuple|3|?>>
    <associate|idx-3|<tuple|2|?>>
    <associate|idx-4|<tuple|2|?>>
    <associate|toc-4|<tuple|<uninit>|?>>
    <associate|idx-5|<tuple|2|?>>
    <associate|toc-5|<tuple|<uninit>|?>>
    <associate|idx-6|<tuple|2|?>>
    <associate|idx-7|<tuple|2|?>>
    <associate|idx-8|<tuple|3|?>>
    <associate|idx-9|<tuple|3|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|idx>
      <tuple|<tuple|<with|font family|<quote|ss>|Help>|<with|font
      family|<quote|ss>|Manual>>|<pageref|idx-1>>

      <tuple|<tuple|<with|font family|<quote|ss>|Help>|<with|font
      family|<quote|ss>|Tutorial>>|<pageref|idx-2>>

      <tuple|<tuple|<with|font family|<quote|ss>|Help>|<with|font
      family|<quote|ss>|Style>>|<pageref|idx-3>>

      <tuple|<tuple|<with|font family|<quote|ss>|Help>|<with|font
      family|<quote|ss>|About>>|<pageref|idx-4>>

      <tuple|<tuple|<with|font family|<quote|ss>|Help>|<with|font
      family|<quote|ss>|Online help>>|<pageref|idx-5>>

      <tuple|<tuple|<with|font family|<quote|ss>|Help>|<with|font
      family|<quote|ss>|full manuals>>|<pageref|idx-6>>

      <tuple|<tuple|<with|font family|<quote|ss>|Help>|<with|font
      family|<quote|ss>|full manuals>|<with|font family|<quote|ss>|Compile
      book>>|<pageref|idx-7>>

      <tuple|<tuple|<with|font family|<quote|ss>|Help>>|<pageref|idx-8>>

      <tuple|<tuple|<with|font family|<quote|ss>|Help>|<with|font
      family|<quote|ss>|Document format>>|<pageref|idx-9>>

      <tuple|<tuple|<with|font family|<quote|ss>|Help>|<with|font
      family|<quote|ss>|Interfacing>>|<pageref|idx-10>>

      <tuple|<tuple|<with|font family|<quote|ss>|Help>|<with|font
      family|<quote|ss>|Source code>>|<pageref|idx-11>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|1<space|2spc>How to get
      started><value|toc-dots><pageref|toc-1><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|2<space|2spc>Information for general
      users><value|toc-dots><pageref|toc-2><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|3<space|2spc>Contribute to
      T<rsub|<space|-0.4spc><move|<resize|<with|index
      level|<quote|0>|E>||||0.5fn|>|0fn|-0.1fn>><space|-0.4spc>X<rsub|<space|-0.4spc><move|<resize|M<space|-0.2spc>A<space|-0.4spc>CS||||0.5fn|>|0fn|-0.1fn>>><value|toc-dots><pageref|toc-3><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>
